#pragma once
#include "VSMD12XMiscDefines.h"
#include "AbstractPort.h"

class CZZ_SeiralPort_QT:public CAbstractPort
{
	
private:
	PortInfo m_piSettings;
	QByteArray qbaSend, qbaRecv;
	QSerialPort *m_pSerialPort;
public:
	CZZ_SeiralPort_QT();
	virtual ~CZZ_SeiralPort_QT();
public:
	virtual void InitPort(PortInfo portinfo);
	virtual bool SetPort();
	virtual bool Open();
	virtual void Close();

	virtual std::string ReadAll();
	virtual std::string ReadAll(int iWait);
	virtual int Write(const std::string strSend);

};

